Subject: Re: [AVT] MPEG2-TS preamble - client customization

From: Ning Zong <[email-masked]>
Date: Tue, 23 Mar 2010 09:24:22 -0700

Hi, Art,

1) After following the mailing discussion for a couple of days, my feeling is that there are advantages in both approaches.
Which one result in more implementations seems not convincing so far, and will be decided by market place, say more service vendors, rather than AVT discussion.
2) I didn't understand why you say Xia's approach alters the payload layer and appears to require violation of standards. In my understanding (and repeated for many times in mailing discussion), Ali's approach extract the preamble values from TS stream and Xia's approach extract raw TS packets. I am confused by saying one approach alter the payload layer and another not.

My 2 cents

BR,
Ning Zong
  
======= At 2010-03-23, 07:58:32 you wrote: =======

>I reached the conclusion some time back, and have seen no basis to
>change that based on subsequent exchanges, that the Bergen alternative
>is more likely to result in more implementations that actually work and
>therefore should be the one adopted. 
>Further, the Xia approach does not require that the ISO 13818-1 TS
>provisions be respected, alters the payload layer to perform this
>special function and appears to explicitly require violation of its (ISO
>13181-1) terms (as written).  
>
>Also, not withstanding my opinion on the technical merits; if one has
>two choices that are judged about the same, picking the one that avoids
>(conflict with)/(violation of) other international standards seems
>appropriate.
>
>Art
>Art Allison
>
>Senior Director Advanced Engineering, Science and Technology
>
> 
>
>National Association of Broadcasters
>1771 N Street NW
>Washington, DC 20036
>Phone  202 429 5418 
>Fax  202 775 4981
>
>www.nab.org
>
>Advocacy  Education  Innovation
>
> 
>
>|-----Original Message-----
>|From: [email-masked] [mailto:[email-masked]] On 
>|Behalf Of Tom Taylor
>|Sent: Monday, March 22, 2010 7:20 PM
>|To: Ali C. Begen (abegen)
>|Cc: Dave Oran (oran); Roni Even; Bill Ver Steeg (versteb); [email-masked]
>|Subject: Re: [AVT] MPEG2-TS preamble - client customization
>|
>|I may be missing something, but it seems to come down to this: 
>|the only difference between the two methods is the 
>|pre-packaging the Begen solution proposes. I assume the 
>|argument is that the RR has less processing power than the RS, 
>|so it pays to shift some of the parsing effort to the RS. Do I 
>|understand correctly?
>|
>|Ali C. Begen (abegen) wrote:
>|> 
>|>> -----Original Message-----
>|>> From: Peilin YANG [mailto:[email-masked]]
>|>> Sent: Monday, March 22, 2010 3:29 PM
>|>> To: Ali C. Begen (abegen)
>|>> Cc: Roni Even; Bill Ver Steeg (versteb); Dave Oran (oran);
>|> [email-masked]
>|>> Subject: RE: [AVT] MPEG2-TS preamble - client customization
>|>>
>|>> Dear Ali,
>|>>
>|>> It is undoubted that the preamble information is needed to
>|> demultiplex/decode correctly for receivers.
>|>> In your solution you use TOLV; Xia draft uses raw TS packets.
>|>> There is one thing until now I am not exactly clear that if the TOLV
>|> format should be converted to TS
>|>> packet before being fed to demultiplexer/decoder. According to the
>|> understanding of a general reader,
>|>> it should.
>|> 
>|> It is not a should, it is a must. And if this has been unclear until 
>|> now, I must have done a pretty bad job in explaining our stuff. We 
>|> cannot change the demuxes or decoder chipsets, etc. Whatever 
>|we do, it 
>|> happens on the RTP layer.
>|> 
>|> We don't use raw TS packets because it is more difficult on the 
>|> receiver side to parse the TS stream and then customize the 
>|preamble. 
>|> Using raw TS packets also increases the number of packets needed to 
>|> carry the preamble in our experience. Rather, we encode the preamble 
>|> data efficiently in the form of a new payload (tlv elements) and let 
>|> the receiver create new TS packets according to its needs. Those TS 
>|> packets are also perfectly clock'ed so transitioning from 
>|the preamble 
>|> to the primary SSM stream does not create glitches in the demux.
>|> 
>|>> If the TOLV format should be converted to TS packet before being fed
>|> to demultiplex/decode, how is it
>|>> faster decoding and shorter zapping times than Xia draft? 
>|Because Xia
>|> draft doesn't need the
>|>> converting steps and directly feed it to demultiplexer/decoder.
>|> 
>|> Parsing the TLV elements and creating new TS packets may take 1x 
>|> additional delay but the resulting customized preamble may 
>|potentially 
>|> provide >> 1x reduction in channel change times.
>|> 
>|> -acbegen
>|>  
>|>> Peilin
>|> 
>|> _______________________________________________
>|> Audio/Video Transport Working Group
>|> [email-masked]
>|> https://www.ietf.org/mailman/listinfo/avt
>|> 
>|> 
>|_______________________________________________
>|Audio/Video Transport Working Group
>[email-masked]
>|https://www.ietf.org/mailman/listinfo/avt
>|
>_______________________________________________
>Audio/Video Transport Working Group
>[email-masked]
>https://www.ietf.org/mailman/listinfo/avt

= = = = = = = = = = = = = = = = = = = =
			
Ning Zong
[email-masked]
2010-03-23